#! /usr/bin/python

import cv2
img = cv2.imread('./obrazek.jpg', cv2.CV_LOAD_IMAGE_GRAYSCALE)
height, width = img.shape
  
cv2.namedWindow('okno')
cv2.imshow('okno', img)
cv2.waitKey(2000)

# This shows how to access every single pixel of the image and modify it
# This example computes a negative for a right half of an image
for y in range(0, height-1):
  for x in range(width/2, width-1):
    img[y][x] = 255 - img[y][x]
    cv2.imshow('okno', img)
    cv2.waitKey(1)

cv2.waitKey(2000)
cv2.destroyAllWindows()

# this solves a bug with windows that do not close properly
cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)