#! /usr/bin/python

# TO DO:
# MODIFY THIS EXAMPLE TO IDENTIFY AND COUNT OBJECTS FROM THE grai.jpg IMAGE

import cv2
img = cv2.imread('./obrazek.jpg', cv2.CV_LOAD_IMAGE_GRAYSCALE)
  
cv2.namedWindow('okno')
cv2.imshow('okno', img)
cv2.waitKey(2000)

r,thr = cv2.threshold(img, 200, 255, 0)
cv2.imshow('okno', thr)
cv2.waitKey(2000)

median = cv2.medianBlur(thr, 25)
cv2.imshow('okno', median)
cv2.waitKey(2000)

contours, hierarchy = cv2.findContours(median, cv2.RETR_TREE, cv2.CHAIN_APPROX_SIMPLE)
cv2.drawContours(img, contours, -1, (0,0,0), 3)

cv2.imshow('okno', img)
cv2.waitKey(5000)

cv2.destroyAllWindows()

count = len(contours)
print 'Number od objects:'
print count

cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)
cv2.waitKey(1)

